Get and Set the name of an Inventor document

Top  Previous  Next

You can get and set the document display name...

 

 

DisplayName_programatically

 

 

...like this:

 

   pPartDoc = CComQIPtr<PartDocument>(pDoc);

 

   BSTR bstrName ;

   pDoc->get_DisplayName (&bstrName) ;

   TRACE (L"\nFull document name was %s\n",bstrName) ;

 

   pPartDoc->DisplayName = L"George" ;

 

   pDoc->get_DisplayName (&bstrName) ;

   TRACE (L"\nFull document name now is %s\n",bstrName) ;

 

The above also illustrates how to get a part document pointer from a document pointer.

 

 

 

 

 

 

Text, images and diagrams © 2021 Owen F. Ransen. All rights reserved. (But copy the source code as much as you want!)